Undo an accepted improvement (restore the previous prompt)
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/simulations/{uuid}/optimize/revert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/simulations/{uuid}/optimize/revert"
payload = { "attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({attempt_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/simulations/{uuid}/optimize/revert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Simulations
Undo an accepted improvement (restore the previous prompt)
Restores the prompt an accepted attempt replaced. Refused (409 ‘prompt_changed’) if the assistant’s prompt has changed since it was applied, so a revert never clobbers a newer intentional edit.
POST
/
api
/
v1
/
simulations
/
{uuid}
/
optimize
/
revert
Undo an accepted improvement (restore the previous prompt)
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Required. The id of the optimization attempt from GET /{uuid} data.optimizations[].id.
Response
Previous prompt restored
Reject a proposed improvement (assistant keeps its current prompt)Generate customer personas for an assistant
⌘I